Package com.orchestranetworks.workflow

# Interface SubWorkflowsCompletionContext

All Superinterfaces:
  `DataContext`, `DataContextReadOnly`, `ProcessExecutionContext`, `ProcessExecutionInfoContext`

public interface SubWorkflowsCompletionContext extends ProcessExecutionContext, DataContext
Provides the context when all launched sub-workflows have completed.

This class provides information for each sub-workflows including their data context. This can be useful when setting variables from the main workflow's data context.

Since:
  5.5.0
See Also:
  - `SubWorkflowsInvocationBean.handleCompleteAllSubWorkflows(SubWorkflowsCompletionContext)`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.orchestranetworks.workflow.ProcessExecutionContext

  `ProcessExecutionContext.WorkflowPermission`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProcessInstance`
  `getCompletedSubWorkflow(String aSubWorkflowName)`
  Retrieves the completed sub-workflow identified by a name.
  `List<ProcessInstance>`
  `getCompletedSubWorkflows()`
  Returns the list of completed sub-workflows sorted by launch order.

  ### Methods inherited from interface com.orchestranetworks.workflow.DataContext

  `setVariableString`

  ### Methods inherited from interface com.orchestranetworks.workflow.DataContextReadOnly

  `getVariableNames, getVariableString, isVariableDefined`

  ### Methods inherited from interface com.orchestranetworks.workflow.ProcessExecutionContext

  `createMailSpec, getProcessInstanceDescription, getProcessInstanceLabel, modifyProcessPriority`

  ### Methods inherited from interface com.orchestranetworks.workflow.ProcessExecutionInfoContext

  `getProcessInstance, getProcessInstanceCreator, getProcessInstanceKey, getProfileForPermission, getPublishedProcessKey, getRepository, getSession`

- ## Method Details

  - ### getCompletedSubWorkflows

    List<ProcessInstance> getCompletedSubWorkflows()
    Returns the list of completed sub-workflows sorted by launch order.
    Returns:
      a `List`of `ProcessInstance`.``

  - ### getCompletedSubWorkflow

    ProcessInstance getCompletedSubWorkflow(String aSubWorkflowName) throws OperationException
    Retrieves the completed sub-workflow identified by a name.
    Parameters:
      `aSubWorkflowName` - name of the sub-workflow that was specified at launch time. For more information see `SubWorkflowsCreationContext.registerSubWorkflow(AdaptationName, String)`.
    Throws:
      `OperationException`